Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

AddMdevDeviceSpecToVmInstance

AddMdevDeviceSpecToVmInstance

POST/zstack/v1/mdev-device-specs/{mdevSpecUuid}/vm-instances/{vmInstanceUuid}

Operation ID

AddMdevDeviceSpecToVmInstance

Since

3.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • mdevSpecUuid
    StringRequired

    The UUID of the MDEV device specification.

  • vmInstanceUuid
    StringRequired

    The VM instance UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • mdevDeviceNumber
      Integer

      Optional. The number of MDEV devices.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VmInstanceMdevDeviceSpecRefInventoryRequired

    See inventory.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • mdevSpecUuid
      StringRequired

      The UUID of the MDEV device specification.

    • mdevDeviceNumber
      IntegerRequired

      The number of MDEV devices to be attached to the VM instance. Note that these devices must conform to the MDEV device specification. Default value: 1

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.